<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <script>
        let car_1 = {
            name:"Toyota",
            year:2020,
            print() {
                console.log(this.name + " - " + this.year);
            }
        }
        car_1.print();

        let car_2 = {
            name:"Mazda",
            year:2021,
            address:"ho chi minh",
            print() {
                console.log(this.name + " - " + this.year + " - " + this.address);
            }
        }  
        let car_31 = {
            name:"Honda",
            year:2021,
            address:"ha noi",
            country:"Viet Nam",
            print() {
                console.log(this.name + " - " + this.year + " - " + this.address);
            }
        }          
        car_2.print();
        car_31.print();

        class Car {
            constructor(name, year, country, price) {
                this.name = name;
                this.year = year;
                this.country = country;
                this.price = price;
            }

            print() {
                console.log(this.name + " - " + this.year + " - " + this.price);
            }
            age(curYear) {
                return curYear - this.year;
            }
        }

        let car_3 = new Car("Toyota", 2020, "Japan", 150000);
        car_3.print();
        let car_4 = new Car("Mercedez", 2021, "Germany", 200000);
        car_4.print();
        console.log(car_3.name);
        console.log(car_3.year);
        console.log(car_3.age(2022));
    </script>
</head>
<body>
    
</body>
</html>